#include "mbedtls/platform_time.h"
#include "mbedtls_time.h"
#include "rtc.h"

uint32_t MBEDTLS_GetTime(mbedtls_time_t* time)
{
    TM_RTC_t currentTime;
  
    TM_RTC_GetDateTime(&currentTime, TM_RTC_Format_BIN);
    return TM_RTC_GetUnixTimeStamp(&currentTime);
}
